White ghost lines on raster in print composer
Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15571

Description

Large rasters in print composer show white ghost lines. Ghost lines are not present in original data, they are not visible on map canvas.

They are present only in composer and it's output (i.e. PNG image). Exact location of ghost lines changes when changing output scale.

Vector data are not affected.

Steps to reproduce:

    -  Add raster map to QGIS

    -  Visualize it in print composer

    -  Zoom-in to see map at approx. 100% zoom

    -  Play around with scales/extents till thin (1px wide) white lines appear

Gentoo ~AMD64

QGIS versija 1.9.0-Master

QGIS code revision 078f5b8

Compiled against Qt 4.8.2

Running against Qt 4.8.2

Compiled against GDAL/OGR 1.8.1

Running against GDAL/OGR 1.8.1

GEOS Version 3.3.5

PostgreSQL Client Version 9.0.7

SpatiaLite Version 2.4.0

QWT Version 5.2.1

History

#1 - 2012-08-28 06:29 AM - marisn -

- File qgis_raster_white_line.png added

Attached except of print composer output to PNG with ghosting lines marked with red arrows.

#2 - 2012-08-28 03:11 PM - Giovanni Manghi

- Category set to 33

- Status changed from Open to Feedback

it is a regression (it works fine on 1.8 or 1.7.4?)?

#3 - 2012-08-28 10:48 PM - marisn -
Bug is not present in 1.8.0 running Windows Vista.

#4 - 2012-08-29 12:33 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

- Status changed from Feedback to In Progress

Probably this has to do with the new raster iteration used in current master.

#5 - 2012-08-29 05:42 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#6 - 2012-08-30 10:29 AM - stefano campus

also in pdf output made with "print as raster" not checked

#7 - 2012-08-31 08:32 AM - Marco Hugentobler

marisn: could you upload a sample raster / project file or send me data or link privately if it is secret?

I remember having seen the white lines too but now I'm not able to reproduce it with my data.

#8 - 2013-05-25 04:40 AM - Nathan Woodrow

Is there a update on this ticket.  Can we remove it from blocker status?

#9 - 2013-05-25 05:37 AM - Giovanni Manghi

- Status changed from In Progress to Feedback

#10 - 2013-06-01 09:35 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

I made several tests and seems fixed. Please reopen if necessary.
